#include <iostream>
#include <algorithm>

int main(){
    std::ios::sync_with_stdio(false);

    int n,pom;

    std::cin >> n;

    int a[n];
    for(int i=0;i<n;i++)
        std::cin >> a[i];

    if(n==2){
        std::swap(a[0],a[1]);
    }else{
        for(int i=0;i<n;i++){
            pom = i;
            for(int j=i+1;j<n;j++){
                if(a[j] > a[pom])
                    pom=j;
            }
            if(a[i]<a[pom]){
                std::swap(a[i],a[pom]);
                break;
            }
        }
    }

    for(int i=0;i<n;i++)
        std::cout << a[i] << " ";

    return 0;
}